(defproject ldview "1"
  :dependencies [[org.clojure/clojure "1.5.1"]
                 [lib-noir "0.7.0"]
                 [compojure "1.1.5"]
                 [ring-server "0.3.0"]
                 [selmer "0.4.2"]
                 [com.taoensso/timbre "2.6.2"]
                 [com.postspectacular/rotor "0.1.0"]
                 [com.taoensso/tower "1.7.1"]
                 [log4j "1.2.17" :exclusions [javax.mail/mail
                                              javax.jms/jms
                                              com.sun.jdmk/jmxtools
                                              com.sun.jmx/jmxri]]
                 [sqlitejdbc "0.5.6"]
                 [korma "0.3.0-RC5"]
                 [clj-http "0.7.7"]
                 [image-resizer "0.1.6"]
                 [enlive "1.1.1"]
                 [me.raynes/fs "1.4.5"]]

  :plugins [[lein-ring "0.8.7"]]
  :ring {:handler ldview.handler/war-handler
         :init    ldview.handler/init
         :destroy ldview.handler/destroy}
  :profiles {
             :production {:ring {:open-browser? false
                                 :stacktraces? false
                                 :auto-reload? false}}
             :dev {:dependencies [[ring-mock "0.1.5"]
                                  [ring/ring-devel "1.2.0"]]}}

  :url "http://ldview.clojurecup.com/"
  :description "An alternative Ludum Dare entries viewer"
  :min-lein-version "2.0.0")
